Skip to main content
GET
Get the direct payment URI

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice
string
required

BOLT11 reverse-swap invoice.

Response

Verified L-BTC direct-payment URI.

GET /v2/swap/reverse/{invoice}/bip21 response.

bip21
string
required

Signed direct-payment URI for the reverse-swap invoice.

signature
string
required

Schnorr signature by the reverse claim key over SHA256(address UTF-8).